/*
 * Universal REST API
 *
 * Universal API provides a RESTful and uniform way to access blockchain resources, with a rich and reusable model across multiple protocols/cryptocurrencies.  [Documentation](https://app.blockdaemon.com/docs/ubiquity)  ### Currently supported protocols:  * algorand   * mainnet * bitcoin   * mainnet/testnet * bitcoincash   * mainnet/testnet * dogecoin   * mainnet/testnet * ethereum   * mainnet/goerli * litecoin   * mainnet/testnet * near   * mainnet/testnet * oasis   * mainnet * optimism   * mainnet * polkadot   * mainnet/westend * polygon   * mainnet * solana   * mainnet/testnet * stellar   * mainnet/testnet * tezos   * mainnet * xrp   * mainnet  ##### Pagination Certain resources contain a lot of data, more than what's practical to return for a single request. With the help of pagination, the data is split across multiple responses. Each response returns a subset of the items requested, and a continuation token.  To get the next batch of items, copy the returned continuation token to the continuation query parameter and repeat the request with the new URL. In case no continuation token is returned, there is no more data available.
 *
 * API version: 3.0.0
 * Contact: support@blockdaemon.com
 */

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package ubiquity

import (
	"encoding/json"
)

// TxReceipt struct for TxReceipt
type TxReceipt struct {
	// The transaction ID
	Id string `json:"id"`
}

// NewTxReceipt instantiates a new TxReceipt object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewTxReceipt(id string) *TxReceipt {
	this := TxReceipt{}
	this.Id = id
	return &this
}

// NewTxReceiptWithDefaults instantiates a new TxReceipt object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewTxReceiptWithDefaults() *TxReceipt {
	this := TxReceipt{}
	return &this
}

// GetId returns the Id field value
func (o *TxReceipt) GetId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Id
}

// GetIdOk returns a tuple with the Id field value
// and a boolean to check if the value has been set.
func (o *TxReceipt) GetIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Id, true
}

// SetId sets field value
func (o *TxReceipt) SetId(v string) {
	o.Id = v
}

func (o TxReceipt) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if true {
		toSerialize["id"] = o.Id
	}
	return json.Marshal(toSerialize)
}

type NullableTxReceipt struct {
	value *TxReceipt
	isSet bool
}

func (v NullableTxReceipt) Get() *TxReceipt {
	return v.value
}

func (v *NullableTxReceipt) Set(val *TxReceipt) {
	v.value = val
	v.isSet = true
}

func (v NullableTxReceipt) IsSet() bool {
	return v.isSet
}

func (v *NullableTxReceipt) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableTxReceipt(val *TxReceipt) *NullableTxReceipt {
	return &NullableTxReceipt{value: val, isSet: true}
}

func (v NullableTxReceipt) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableTxReceipt) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
